package com.ruoyi.system.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 动态表单
 * 对象 drag_form
 *
 * @author ruoyi
 * @date 2023-07-12
 */
public class DragForm extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 表单主键
     */
    private Long fId;

    /**
     * sql编号
     */
    @Excel(name = "sql编号")
    private String sqlKey;

    /**
     * 表单名称
     */
    @Excel(name = "表单名称")
    private String dfName;

    /**
     * 表单别名
     */
    @Excel(name = "表单别名")
    private String dfNickname;

    /**
     * 表单vue模版
     */
    @Excel(name = "表单vue模版")
    private String dfVueTemplate;

    /**
     * 表单html模版
     */
    @Excel(name = "表单html模版")
    private String dfHtmlTemplate;

    /**
     * 表单sql
     */
    @Excel(name = "表单sql")
    private String dfFormSql;

    /**
     * 节点ID
     */
    @Excel(name = "节点ID")
    private Long dfNodeId;

    /**
     * 数据源名称
     */
    @Excel(name = "数据源名称")
    private String dfDatabase;

    /**
     * 绑定表名称
     */
    @Excel(name = "绑定表名称")
    private String dfTableName;

    /**
     * 源文件存放地址
     */
    @Excel(name = "源文件存放地址")
    private String dfFliePath;

    /**
     * 表单描述
     */
    @Excel(name = "表单描述")
    private String dfNotes;

    /**
     * 逻辑删除
     */
    private String delFlag;

    /**
     * 备用列
     */
    @Excel(name = "备用列")
    private String spare;

    /**
     * 备用列
     */
    @Excel(name = "备用列")
    private String spare1;

    //动态表格编号
    private Long dtId;


    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public String getSqlKey() {
        return sqlKey;
    }

    public void setSqlKey(String sqlKey) {
        this.sqlKey = sqlKey;
    }

    public String getDfName() {
        return dfName;
    }

    public void setDfName(String dfName) {
        this.dfName = dfName;
    }

    public String getDfNickname() {
        return dfNickname;
    }

    public void setDfNickname(String dfNickname) {
        this.dfNickname = dfNickname;
    }

    public String getDfVueTemplate() {
        return dfVueTemplate;
    }

    public void setDfVueTemplate(String dfVueTemplate) {
        this.dfVueTemplate = dfVueTemplate;
    }

    public String getDfHtmlTemplate() {
        return dfHtmlTemplate;
    }

    public void setDfHtmlTemplate(String dfHtmlTemplate) {
        this.dfHtmlTemplate = dfHtmlTemplate;
    }

    public String getDfFormSql() {
        return dfFormSql;
    }

    public void setDfFormSql(String dfFormSql) {
        this.dfFormSql = dfFormSql;
    }

    public Long getDfNodeId() {
        return dfNodeId;
    }

    public void setDfNodeId(Long dfNodeId) {
        this.dfNodeId = dfNodeId;
    }

    public String getDfDatabase() {
        return dfDatabase;
    }

    public void setDfDatabase(String dfDatabase) {
        this.dfDatabase = dfDatabase;
    }

    public String getDfTableName() {
        return dfTableName;
    }

    public void setDfTableName(String dfTableName) {
        this.dfTableName = dfTableName;
    }

    public String getDfFliePath() {
        return dfFliePath;
    }

    public void setDfFliePath(String dfFliePath) {
        this.dfFliePath = dfFliePath;
    }

    public String getDfNotes() {
        return dfNotes;
    }

    public void setDfNotes(String dfNotes) {
        this.dfNotes = dfNotes;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getSpare() {
        return spare;
    }

    public void setSpare(String spare) {
        this.spare = spare;
    }

    public String getSpare1() {
        return spare1;
    }

    public void setSpare1(String spare1) {
        this.spare1 = spare1;
    }

    public Long getDtId() {
        return dtId;
    }

    public void setDtId(Long dtId) {
        this.dtId = dtId;
    }

    @Override
    public String toString() {
        return "DragForm{" +
                "fId=" + fId +
                ", sqlKey='" + sqlKey + '\'' +
                ", dfName='" + dfName + '\'' +
                ", dfNickname='" + dfNickname + '\'' +
                ", dfVueTemplate='" + dfVueTemplate + '\'' +
                ", dfHtmlTemplate='" + dfHtmlTemplate + '\'' +
                ", dfFormSql='" + dfFormSql + '\'' +
                ", dfNodeId=" + dfNodeId +
                ", dfDatabase='" + dfDatabase + '\'' +
                ", dfTableName='" + dfTableName + '\'' +
                ", dfFliePath='" + dfFliePath + '\'' +
                ", dfNotes='" + dfNotes + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", spare='" + spare + '\'' +
                ", spare1='" + spare1 + '\'' +
                ", dtId=" + dtId +
                '}';
    }

    public DragForm() {

    }

    public DragForm(Long fId, String sqlKey, String dfName, String dfNickname, String dfVueTemplate, String dfHtmlTemplate, String dfFormSql, Long dfNodeId, String dfDatabase, String dfTableName, String dfFliePath, String dfNotes, String delFlag, String spare, String spare1,Long dtId) {
        this.fId = fId;
        this.sqlKey = sqlKey;
        this.dfName = dfName;
        this.dfNickname = dfNickname;
        this.dfVueTemplate = dfVueTemplate;
        this.dfHtmlTemplate = dfHtmlTemplate;
        this.dfFormSql = dfFormSql;
        this.dfNodeId = dfNodeId;
        this.dfDatabase = dfDatabase;
        this.dfTableName = dfTableName;
        this.dfFliePath = dfFliePath;
        this.dfNotes = dfNotes;
        this.delFlag = delFlag;
        this.spare = spare;
        this.spare1 = spare1;
        this.dtId = dtId;
    }
}
